Bug 1576088 - [DOCS] 3.9 example for openshift_master_identity_providers wrong for 3.10
Summary: [DOCS] 3.9 example for openshift_master_identity_providers wrong for 3.10
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.10.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ashley Hardin
QA Contact: Johnny Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 19:15 UTC by Chris Evich
Modified: 2018-11-28 01:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-31 13:17:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chris Evich 2018-05-08 19:15:44 UTC
Document URL: https://docs.openshift.com/container-platform/3.9/install_config/install/advanced_install.html#adv-install-example-inventory-files

Section Number and Name: SINGLE MASTER, SINGLE ETCD, AND MULTIPLE NODES

Describe the issue: One of the keys in this JSON is wrong-

#openshift_master_identity_providers=[{'name': 'htpasswd_auth', 'login': 'true', 'challenge': 'true', 'kind': 'HTPasswdPasswordIdentityProvider', 'filename': '/etc/origin/master/htpasswd'}

Suggestions for improvement: 
Remove the 'filename' key and value.

Additional information: 
If you uncomment and use this line, you'll get this error-


PLAY [Verify Requirements] ******************************************************************************
 
TASK [Run variable sanity checks] ***********************************************************************
Tuesday 08 May 2018  14:34:39 -0400 (0:00:00.068)       0:00:22.047 ***********
fatal: [rhel7-5-a]: FAILED! => {"msg": "last_checked_host: rhel7-5-a, last_checked_var: openshift_master_manage_htpasswd;openshift_master_identity_providers contains a provider of kind==HTPasswdPasswordIdentityProvider and filename is set.  Please migrate your htpasswd files to /etc/origin/master/htpasswd and update your existing master configs, and remove the filename keybefore proceeding."}
 
NO MORE HOSTS LEFT **************************************************************************************

Comment 2 Ashley Hardin 2018-05-09 21:06:17 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/9138

Comment 4 Michael Gugino 2018-05-10 16:31:28 UTC
Filename (and it's variants) is no longer supported for that auth provider.  The htpasswd file location is hard coded to /etc/origin/master/htpasswd

This is due to masters are now pods (3.10 and beyond), only files in /etc/origin/master will be mounted into the pods.

Comment 5 Johnny Liu 2018-05-11 06:17:51 UTC
LGTM


Note You need to log in before you can comment on or make changes to this bug.